import e from "../../d3-selection/src/select.js";
import t, { nonpassivecapture as n } from "./noevent.js";
//#region ../../node_modules/d3-drag/src/nodrag.js
function r(r) {
	var i = r.document.documentElement, a = e(r).on("dragstart.drag", t, n);
	"onselectstart" in i ? a.on("selectstart.drag", t, n) : (i.__noselect = i.style.MozUserSelect, i.style.MozUserSelect = "none");
}
function i(r, i) {
	var a = r.document.documentElement, o = e(r).on("dragstart.drag", null);
	i && (o.on("click.drag", t, n), setTimeout(function() {
		o.on("click.drag", null);
	}, 0)), "onselectstart" in a ? o.on("selectstart.drag", null) : (a.style.MozUserSelect = a.__noselect, delete a.__noselect);
}
//#endregion
export { r as default, i as yesdrag };
